Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content
Class ContentPk

    java.lang.Object
      |
      +--com.bea.p13n.content.ContentPk

All Implemented Interfaces:
  Comparable, Serializable

Direct Known Subclasses:
  DocumentPk

Deprecated. Use java.lang.String instead.

public class ContentPk
extends Object
implements Comparable, Serializable

This is the primary key class for all Content.

All content needs to be identifiable by a unique String identifier.

See Also:
  Serialized Form

Field Summary
`String` | `identifier` Deprecated. The unique identifier of the Content.

Constructor Summary
`ContentPk()` Deprecated. Default constructor.
`ContentPk(String identifier)` Deprecated. Constructor that takes in all of the primary key attributes as parameters.

Method Summary
`int` | `compareTo(Object o)` Deprecated. Compares the `identifier` to the object's identifier.
`boolean` | `equals(Object o)` Deprecated.
`int` | `hashCode()` Deprecated. Overrides to use the hashCode of the `identifier`.
`String` | `toString()` Deprecated. Returns the `identifier`.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public String identifier

  Deprecated.
  The unique identifier of the Content.

Constructor Detail

### ContentPk

    public ContentPk()

  Deprecated.
  Default constructor.

### ContentPk

    public ContentPk(String identifier)

  Deprecated.
  Constructor that takes in all of the primary key attributes as parameters. All attribute values will be set to the input parameter values.

Method Detail

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### compareTo

    public int compareTo(Object o)

  Deprecated.
  Compares the `identifier` to the object's identifier.

  Specified by:
    `compareTo` in interface `Comparable`

### toString

    public String toString()

  Deprecated.
  Returns the `identifier`.

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides to use the hashCode of the `identifier`.

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved